Description

SUGGESTIONS:

When a user is allowed to ADD (issues, notes, & queries), this entitle the user to OWN these items. Ownership makes the user
eligible to EDIT, MOVE, & DELETE when awarded on PERMISSIONSs.

A project manager (user) has full access to every resources of the specific project only.

A project sponsor (user) has VIEW access to every resources of the specific project only when awarded on PERMISSIONSs.

History

#1 - 2009-06-30 04:39 - Ed Tolentino
- Assignee deleted (Jean-Philippe Lang)

#2 - 2009-07-15 03:42 - Ed Tolentino

- Assignee set to Eric Davis

#3 - 2009-07-19 06:19 - Eric Davis
- Assignee deleted (Eric Davis)

- Priority changed from High to Normal

| cannot view those documents. Can you upload them in a standard format like OpenOffice, PDF, or plain text? Thanks.

#4 - 2009-07-19 09:12 - Ed Tolentino

- File PERMISSIONS_Roles____Access_rights.doc added

- File PERMISSIONS_Roles____Access_rights_matrix.xls added

Thank you Eric. Much oblige.

Allow me to explain myself better here is the gist of my suggestion:

SUGGESTIONS:

PERMISSIONS to (projects, issues, boards, documents, news, notes, repositories, & other resources)
Suggestions: Access rights within the project.

A ROLE, when allowed to ADD, by default this will entitle the user to OWN the item. Ownership makes the user eligible to be awarded to VIEW, EDIT,
MOVE, or DELETE on PERMISSIONS.

Likewise, when a USER is ASSIGNED to any items in PERMISSIONS to list (see above), the user is eligible to be awarded to VIEW, EDIT, MOVE, or
DELETE on PERMISSIONS.

A project manager (user) may be awarded full access to every resource of the specific project only, almost like it is today.

A project sponsor (user) may be awarded VIEW access to every resources of the specific project only when awarded on PERMISSIONS.

#5 - 2010-02-11 02:15 - Ed Tolentino

- Status changed from New to Resolved

2025-05-03 1/2




The functions are now readily available.

DELETE!

#6 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#7 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Files

Roles___ Access_rights_matrix.xlsx 10.8 KB 2009-06-25 Ed Tolentino
Roles__ Access_rights_matrix. CURRENT.docx 26.9 KB 2009-06-25 Ed Tolentino
PERMISSIONS_Roles__Access_rights.doc 35.5 KB 2009-07-19 Ed Tolentino
PERMISSIONS_Roles__Access_rights_matrix.xls 23 KB 2009-07-19 Ed Tolentino
